finish_passkey_login
POST
/api/v1/auth/passkeys/login/finish
const url = 'https://example.com/api/v1/auth/passkeys/login/finish';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"credential":"example","flow_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/auth/passkeys/login/finish";
let payload = json!({ "credential": "example", "flow_id": "example" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/auth/passkeys/login/finish \ --header 'Content-Type: application/json' \ --data '{ "credential": "example", "flow_id": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Finish a passkey login challenge.
object
credential
required
flow_id
required
string
Examplegenerated
{ "credential": "example", "flow_id": "example"}Responses
Section titled “Responses”Passkey login successful or password change required, tokens set in HttpOnly cookies
Media typeapplication/json
统一 API 响应格式
成功: { "code": "success", "msg": "", "data": {...} }
失败: { "code": "auth.credentials_failed", "msg": "Invalid Credentials" }
object
code
required
string
data
error
msg
required
string
Example
{ "code": "success", "data": { "status": "authenticated" }}Invalid credentials